<?php
/**
 *
 * SCSS Compiler. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2021, MarkDHamill, https://www.phpbbservices.com/
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [

	'ACP_SCSSCOMPILER_CANT_FIND_STYLE'			=> 'No se han encontrado estilos para compilar. La base de datos puede estar dañada.',
	'ACP_SCSSCOMPILER_CREATE_ERROR'				=> 'No se pueden crear directorios en la carpeta /store. Esto es probablemente un problema de permisos de archivo. La carpeta debe tener permisos de escritura públicos.',
	'ACP_SCSSCOMPILER_CSS_FILE'					=> 'Hoja de estilos CSS para compilar a',
	'ACP_SCSSCOMPILER_EXPLAIN'					=> 'Algunos estilos deben compilarse para que tengan un aspecto diferente. Los comandos de estilo están escritos en formato SASS. Los cambios se realizan en archivos .scss y se compilan en archivos .css. <a href="https://sass-lang.com/">Obtén más información sobre SASS.</a> Esta extensión compilará este tipo de estilos.
<h2>Edición de archivos .scss</h2>
<p><strong>Haz copias de seguridad de las carpetas theme de los estilos que vayas a modificar.</strong> A menudo puedes editar los archivos utilizando una herramienta de gestión de archivos en el panel de control de tu proveedor de alojamiento web. Si no, descarga las carpetas theme de tus estilos y edita los archivos .scss con un editor de texto en tu ordenador. A continuación, sube los archivos .scss modificados a las carpetas /styles/<em>&lt;style&gt;</em>/theme, sobrescribiendo los archivos antiguos.</p>
<h2>Compilación de archivos .scss</h2>
<p>A continuación se muestran los estilos con formato SASS instalados, si los hay. Se asume una hoja de estilos SCSS maestra stylesheet.scss. Cámbialos si no son correctos. Haz clic en las casillas de verificación de los estilos que desees compilar y, a continuación, pulsa "Recompilar estilos marcados". Si el archivo no se puede escribir en la carpeta theme del estilo, el archivo se colocará en una carpeta /store/phpbbservices/scsscompiler/<em>&lt;style&gt;</em>/theme en su lugar. Se te notificará si esto ocurre. En este caso, deberás mover el archivo manualmente a la carpeta correcta del tema utilizando FTP o un gestor de archivos. Si hay un error de compilación para un estilo, se mostrará el error de compilación. Corrija el error y vuelva a compilar.</p>
<h2>Ver los cambios del estilo</h2>
<p>Ve a la página de inicio. Si no ves los cambios, recarga la página. Si sigues sin ver los cambios realizados, <a href="https://refreshyourcache.com/en/cache/">actualiza la caché de tu navegador</a> y vuelve a cargar la página. <em>Nota</em>: en algunos servidores, es posible que también tengas que borrar la caché de CloudFlare o similar.</p>
<h2>Restaurar los cambios del estilo</h2>
<p>Sube tu copia de seguridad de la carpeta theme en la misma carpeta de theme, sobrescribiendo los archivos que hayas modificado. Es posible que también tengas que purgar la caché de la página principal del ACP.</p>',
	'ACP_SCSSCOMPILER_INSTALL_REQUIREMENTS'		=> 'tu versión de PHP debe ser &gt; 3.3.0 and &lt; 3.4 para instalar esta extensión. Además, se requiere la extensión zip. Por favor, soluciona este problema e intenta activar la extensión de nuevo.',
	'ACP_SCSSCOMPILER_LAST_MODIFIED'			=> 'stylesheet.css actualizado por última vez el',
	'ACP_SCSSCOMPILER_MARK'						=> 'Marcar/desmarcar',
	'ACP_SCSSCOMPILER_NEVER'					=> 'No encontrado o nunca',
	'ACP_SCSSCOMPILER_NO_SCSS_STYLES'			=> 'No hay estilos SCSS activos',
	'ACP_SCSSCOMPILER_NO_STYLES_TO_COMPILE'		=> 'No se han seleccionado estilos para compilar',
	'ACP_SCSSCOMPILER_OVERRIDE'					=> 'El estilo reemplaza a otros estilos',
	'ACP_SCSSCOMPILER_RECOMPILE_CHECKED'		=> 'Recompilar estilos comprobados',
	'ACP_SCSSCOMPILER_RECOMPILE_STYLE'			=> 'Recompilar el estilo',
	'ACP_SCSSCOMPILER_SCSS_COMPILE_ERROR'		=> 'No se puede compilar el estilo “%1$s” debido a un error de compilación(s):<br><br>%2$s',
	'ACP_SCSSCOMPILER_SCSS_FILE'				=> 'Hoja maestra de estilos SCSS',
	'ACP_SCSSCOMPILER_SCSS_FILE_DOES_NOT_EXIST'	=> 'No se puede compilar el estilo “%1$s” porque no se encuentra el archivo %2$s .',
	'ACP_SCSSCOMPILER_SETTING_SAVED'			=> 'Los estilos seleccionados se recompilaron correctamente, pero algunos no pudieron escribirse en las carpetas theme de los estilos y se encuentran en la carpeta /store/phpbbservices/scsscompiler. Ahora es necesario moverlos a las carpetas theme correctas mediante FTP o un gestor de archivos.',
	'ACP_SCSSCOMPILER_SETTING_SAVED_THEME'		=> 'Los estilos seleccionados se han recompilado correctamente.',
	'ACP_SCSSCOMPILER_STYLE_INFO'				=> 'Estilo basado en SCSS',
	'ACP_SCSSCOMPILER_WRITE_ERROR'				=> "No se puede escribir en la ruta “%s”",

]);
